Pinto::PackageSpec(3pm)

NAME
Pinto::PackageSpec - Specifies a package by name and version

VERSION
version 0.097

METHODS

  is_core

  is_core(in => $version)
Returns true if this package is satisfied by the perl core as-of a particular version. If the version is not specified, it defaults to whatever version you are using now.

  is_perl()
Returns true if this package is perl itself.

  to_string()
Serializes this PackageSpec to its string form. This method is called whenever the PackageSpec is evaluated in string context.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.